# To be deployed on apc-dev project
apiVersion: v1
kind: List
items:
- apiVersion: image.openshift.io/v1
  kind: ImageStream
  metadata:
    name: gitlab-ci-report
  spec:
    lookupPolicy:
      local: true
    tags:
    - name: latest
      from:
        kind: DockerImage
        name: gitlab-registry.cern.ch/mro/common/tools/gitlab-ci-report:latest
      importPolicy:
        scheduled: true
      referencePolicy:
        type: Source
- apiVersion: v1
  kind: ConfigMap
  data:
    config.json: |
      {
        "basePath": "/ci-report",
        "namespace": "apc"
      }
  metadata:
    name: gitlab-ci-report-config
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      image.openshift.io/triggers: |-
        [{
          "from": {"kind":"ImageStreamTag","name":"gitlab-ci-report:latest"},
          "fieldPath":"spec.template.spec.containers[0].image"
        }]
    labels:
      app: gitlab-ci-report
    name: gitlab-ci-report
  spec:
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: gitlab-ci-report

    template:
      metadata:
        labels:
          app: gitlab-ci-report
      spec:
        containers:
        - image: gitlab-ci-report:latest
          imagePullPolicy: Always
          env:
            - name: DEBUG
              value: 'http,auth'
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /ci-report
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 30
          imagePullPolicy: Always
          name: gitlab-ci-report
          ports:
            - containerPort: 8080
              protocol: TCP
          volumeMounts:
            - mountPath: "/etc/app"
              name: "config"
        volumes:
          - configMap:
              defaultMode: 420
              name: gitlab-ci-report-config
            name: config
- apiVersion: v1
  kind: Service
  metadata:
    labels:
      app: gitlab-ci-report
    name: gitlab-ci-report
  spec:
    ports:
    - name: 8080-tcp
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      app: gitlab-ci-report
    sessionAffinity: None
    type: ClusterIP